Identities
Link external customer identities to orders, bookings, and gifts
Creates a new identity.
Body
From capability octo/identities.
keystring · nullableOptionalExample:
Key value.
loyalty_numberResponses
200
Returns an Identity object.
application/json
From capability octo/identities.
idstring · uuidRequiredExample:
Unique identifier for this resource.
3d6f0a3a-59d4-4b16-a0c5-11d2d8a4e6b7identityIdstringOptionalExample:
Identity identifier.
identity_customer_001keystring · nullableOptionalExample:
Key value.
loyalty_numberpost
/identities200
Returns an Identity object.
Updates an existing identity.
Path parameters
identityIdstringRequiredExample:
Identity ID.
identity_customer_001Body
From capability octo/identities.
keystring · nullableOptionalExample:
Key value.
loyalty_numberResponses
200
Returns an Identity object.
application/json
From capability octo/identities.
idstring · uuidRequiredExample:
Unique identifier for this resource.
3d6f0a3a-59d4-4b16-a0c5-11d2d8a4e6b7identityIdstringOptionalExample:
Identity identifier.
identity_customer_001keystring · nullableOptionalExample:
Key value.
loyalty_numberpatch
/identities/{identityId}200
Returns an Identity object.
Deletes an identity.
Path parameters
identityIdstringRequiredExample:
Identity ID.
identity_customer_001Responses
200
OK. No response body.
application/json
successbooleanRequiredExample:
Whether success is enabled.
truemessagestringOptionalExample:
Message value.
Deleted successfully.delete
/identities/{identityId}200
OK. No response body.
Attach Identity to Orders, Bookings, and Gifts
Check-in Lookup With Identity
Request Body Additions
Schema Additions (JSON)
Booking
BookingBookingWriteRequest
BookingWriteRequestGift
GiftGiftCreateRequest
GiftCreateRequestOrder
OrderOrderCreateRequest
OrderCreateRequestOrderUpdateRequest
OrderUpdateRequestLast updated